Trendtrack
ReferenceAPI

Usage

Read the current workspace usage snapshot

Returns the current public API billing, included quota, and credit balance snapshot for the authenticated workspace.

Authorization

publicApiBearer
AuthorizationBearer <token>

Provide a Trendtrack Public API key using Authorization: Bearer <api_key>.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.trendtrack.io/v1/usage"
{  "requestId": "d96c0824-7083-4cb6-a968-ecc694117367",  "workspace": {    "id": "ws_123",    "slug": "my-workspace",    "name": "My Workspace"  },  "credential": {    "id": "cred_123",    "accessLevel": "full_access",    "lastUsedAt": "2026-04-20T07:28:18.700Z"  },  "billing": {    "configured": false,    "planCode": null,    "currentPeriodStart": null,    "currentPeriodEnd": null,    "updatedAt": null  },  "includedQuota": {    "limit": 0,    "used": 0,    "remaining": 0  },  "credits": {    "balance": 0,    "recurring": {      "limit": 0,      "used": 0,      "remaining": 0    },    "topup": {      "balance": 0    },    "totalRemaining": 0  }}
{  "error": {    "code": "missing_api_key",    "message": "Provide an API key using Authorization: Bearer <api_key>.",    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",    "details": {      "validationErrors": [        {          "field": "query-string.limit",          "location": "query-string",          "expected": [            "limit must not be greater than 100"          ]        }      ]    }  }}
{  "error": {    "code": "missing_api_key",    "message": "Provide an API key using Authorization: Bearer <api_key>.",    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",    "details": {      "validationErrors": [        {          "field": "query-string.limit",          "location": "query-string",          "expected": [            "limit must not be greater than 100"          ]        }      ]    }  }}
{  "error": {    "code": "missing_api_key",    "message": "Provide an API key using Authorization: Bearer <api_key>.",    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",    "details": {      "validationErrors": [        {          "field": "query-string.limit",          "location": "query-string",          "expected": [            "limit must not be greater than 100"          ]        }      ]    }  }}
{  "error": {    "code": "missing_api_key",    "message": "Provide an API key using Authorization: Bearer <api_key>.",    "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc",    "details": {      "validationErrors": [        {          "field": "query-string.limit",          "location": "query-string",          "expected": [            "limit must not be greater than 100"          ]        }      ]    }  }}